#ifndef __MWL_FileUtil_H__
#define __MWL_FileUtil_H__

namespace mwl{

//	クラス
class CFileUtil
{
private:

public:
	//	コンストラクタ・デストラクタ
	CFileUtil(){}
	virtual ~CFileUtil(){}

	//BOOL Del( const char* 

	//	サブディレクトリを削除（その中のファイルも勿論削除）
	static BOOL Delete( const char* szTarget );
	static BOOL Del( const char* szTarget ){ return Delete(szTarget); }
	static BOOL DeleteDirectory( const char* szTarget ){ return Delete(szTarget); }

	//	ファイルのコピー
	static BOOL CopyFile( const char* szFrom, const char * szTo, BOOL bOverride=TRUE );
	static BOOL CopyDirectory( const char* szFrom, const char * szTo, BOOL bOverride=TRUE );
	static BOOL CopyDir( const char* szFrom, const char * szTo, BOOL bOverride=TRUE ){
		return CopyDirectory(szFrom, szTo, bOverride); }
};

}//namespace mwl

#endif//__MWL_FileUtil_H__
